Page MenuHomePhabricator

Prepare to service applications from kubernetes
Closed, ResolvedPublic

Description

Q4 2016-2017 goal for Technical Operations has as key results:

  • Eliminate SPOFs in the existing eqiad infrastructure
  • Expand the infrastructure to codfw
  • Prepare and maintain base container images
  • Define a process to keep images up-to-date on similar standards as the rest of production
  • Design and implement a Kubernetes-based staging environment. (stretch)

Related Objects

StatusSubtypeAssignedTask
Resolvedakosiaris
Resolvedakosiaris
ResolvedCmjohnson
Resolvedakosiaris
ResolvedRobH
Resolvedakosiaris
ResolvedRobH
Resolvedakosiaris
Resolvedawight
ResolvedHalfak
Resolvedawight
ResolvedNone
Resolvedawight
Resolvedawight
ResolvedHalfak
ResolvedHalfak
ResolvedHalfak
Resolvedakosiaris
ResolvedHalfak
ResolvedHalfak
ResolvedHalfak
ResolvedSumit
Resolvedakosiaris
ResolvedRobH
Resolvedakosiaris
Resolvedakosiaris
Resolvedakosiaris
ResolvedNone
Resolvedakosiaris
DuplicateNone
Resolvedakosiaris
ResolvedRobH
Resolvedakosiaris
DeclinedCmjohnson
ResolvedRobH
ResolvedNone

Event Timeline

akosiaris created this task.Apr 3 2017, 1:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2017, 1:39 PM
MoritzMuehlenhoff triaged this task as High priority.Apr 7 2017, 11:20 AM
akosiaris closed this task as Resolved.Aug 30 2017, 3:26 PM
akosiaris claimed this task.

The immediate subtasks have all been completed long ago. Resolving